## org.openmuc.jasn1.ber
Class BerIdentifier

    java.lang.Object
      org.openmuc.jasn1.ber.BerIdentifier

    public class BerIdentifier

extends java.lang.Object

Field Summary
`static int` `APPLICATION_CLASS`
`static int` `BIT_STRING_TAG`
`static int` `BMP_STRING_TAG`
`static int` `BOOLEAN_TAG`
`static int` `CONSTRUCTED`
`static int` `CONTEXT_CLASS`
`static int` `ENUMERATED_TAG`
`static int` `GENERAL_STRING_TAG`
`static int` `GENERALIZED_TIME_TAG`
`static int` `GRAPHIC_STRING_TAG`
`static int` `IA5_STRING_TAG`
`byte[]` `identifier`
`int` `identifierClass`
`static int` `INTEGER_TAG`
`static int` `NULL_TAG`
`static int` `NUMERIC_STRING_TAG`
`static int` `OBJECT_IDENTIFIER_TAG`
`static int` `OCTET_STRING_TAG`
`int` `primitive`
`static int` `PRIMITIVE`
`static int` `PRINTABLE_STRING_TAG`
`static int` `PRIVATE_CLASS`
`static int` `REAL_TAG`
`int` `tagNumber`
`static int` `TELETEX_STRING_TAG`
`static int` `UNIVERSAL_CLASS`
`static int` `UNIVERSAL_STRING_TAG`
`static int` `UTF8_STRING_TAG`
`static int` `VIDEOTEX_STRING_TAG`
`static int` `VISIBLE_STRING_TAG`

Constructor Summary
`BerIdentifier()`
`BerIdentifier(int identifierClass, int primitive, int tagNumber)`

Method Summary
`int` `decode(java.io.InputStream iStream)`
`int` `decodeAndCheck(java.io.InputStream iStream)` Decodes the Identifier from the ByteArrayInputStream and throws an Exception if it is not equal to itself.
`int` `encode(BerByteArrayOutputStream berOStream)`
`boolean` `equals(BerIdentifier berIdentifier)`
`boolean` `equals(int identifierClass, int primitive, int tagNumber)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNIVERSAL_CLASS

    public static final int UNIVERSAL_CLASS

See Also:
  Constant Field Values

### APPLICATION_CLASS

    public static final int APPLICATION_CLASS

See Also:
  Constant Field Values

### CONTEXT_CLASS

    public static final int CONTEXT_CLASS

See Also:
  Constant Field Values

### PRIVATE_CLASS

    public static final int PRIVATE_CLASS

See Also:
  Constant Field Values

### PRIMITIVE

    public static final int PRIMITIVE

See Also:
  Constant Field Values

### CONSTRUCTED

    public static final int CONSTRUCTED

See Also:
  Constant Field Values

### BOOLEAN_TAG

    public static final int BOOLEAN_TAG

See Also:
  Constant Field Values

### INTEGER_TAG

    public static final int INTEGER_TAG

See Also:
  Constant Field Values

### BIT_STRING_TAG

    public static final int BIT_STRING_TAG

See Also:
  Constant Field Values

### OCTET_STRING_TAG

    public static final int OCTET_STRING_TAG

See Also:
  Constant Field Values

### NULL_TAG

    public static final int NULL_TAG

See Also:
  Constant Field Values

### OBJECT_IDENTIFIER_TAG

    public static final int OBJECT_IDENTIFIER_TAG

See Also:
  Constant Field Values

### REAL_TAG

    public static final int REAL_TAG

See Also:
  Constant Field Values

### ENUMERATED_TAG

    public static final int ENUMERATED_TAG

See Also:
  Constant Field Values

### UTF8_STRING_TAG

    public static final int UTF8_STRING_TAG

See Also:
  Constant Field Values

### NUMERIC_STRING_TAG

    public static final int NUMERIC_STRING_TAG

See Also:
  Constant Field Values

### PRINTABLE_STRING_TAG

    public static final int PRINTABLE_STRING_TAG

See Also:
  Constant Field Values

### TELETEX_STRING_TAG

    public static final int TELETEX_STRING_TAG

See Also:
  Constant Field Values

### VIDEOTEX_STRING_TAG

    public static final int VIDEOTEX_STRING_TAG

See Also:
  Constant Field Values

### IA5_STRING_TAG

    public static final int IA5_STRING_TAG

See Also:
  Constant Field Values

### GENERALIZED_TIME_TAG

    public static final int GENERALIZED_TIME_TAG

See Also:
  Constant Field Values

### GRAPHIC_STRING_TAG

    public static final int GRAPHIC_STRING_TAG

See Also:
  Constant Field Values

### VISIBLE_STRING_TAG

    public static final int VISIBLE_STRING_TAG

See Also:
  Constant Field Values

### GENERAL_STRING_TAG

    public static final int GENERAL_STRING_TAG

See Also:
  Constant Field Values

### UNIVERSAL_STRING_TAG

    public static final int UNIVERSAL_STRING_TAG

See Also:
  Constant Field Values

### BMP_STRING_TAG

    public static final int BMP_STRING_TAG

See Also:
  Constant Field Values

### identifier

    public byte[] identifier

### identifierClass

    public int identifierClass

### primitive

    public int primitive

### tagNumber

    public int tagNumber

Constructor Detail

### BerIdentifier

    public BerIdentifier(int identifierClass,
                         int primitive,
                         int tagNumber)

### BerIdentifier

    public BerIdentifier()

Method Detail

### encode

    public int encode(BerByteArrayOutputStream berOStream)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public int decode(java.io.InputStream iStream)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeAndCheck

    public int decodeAndCheck(java.io.InputStream iStream)
                       throws java.io.IOException

  Decodes the Identifier from the ByteArrayInputStream and throws an Exception if it is not equal to itself. Returns the number of bytes read from the InputStream.

  Throws:
    `java.io.IOException`

### equals

    public boolean equals(int identifierClass,
                          int primitive,
                          int tagNumber)

### equals

    public boolean equals(BerIdentifier berIdentifier)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`